package com.fs.tzBankPay.TzBankService;

import com.fs.tzBankPay.doman.*;

public interface TzBankService {
    /**创建订单**/
     TzBankResult<PayCreateOrderResult> createOrder(PayCreateOrder order);

    /**查询订单**/
     TzBankResult<QueryOrderResult> queryOrder(payQueryOrder payQueryOrder);
    /**退款**/
     TzBankResult<RefundResult> refund(RefundParam tzBankResult);
    /**查询退款**/
     TzBankResult<QueryRefundResult> queryRefundOrder(QueryRefundOrderParam r);

    /**分账**/
     TzBankResult<OrderShareResult> orderShare(OrderShareParam orderShareParam);
    /**分账查询**/
    TzBankResult<orderShareQueryResult> orderShareQuery(orderShareQueryParam orderShareParam);

}
